summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlisoftware2016-12-10 13:54:49 +0700
committerAlisoftware2016-12-10 13:54:49 +0700
commit15774dd26e896ed4288b6e8d875294a9e39ceefa (patch)
tree7c1eba5e6e868161945ac5de86f28f0ae778571d
downloadaur-15774dd26e896ed4288b6e8d875294a9e39ceefa.tar.gz
add jsignpdf
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD60
-rw-r--r--jsignpdf.desktop10
-rw-r--r--jsignpdf.pngbin0 -> 20474 bytes
-rw-r--r--jsignpdf.sh5
5 files changed, 96 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..80427aac021
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = jsignpdf-bin
+ pkgdesc = Digital sign PDF files with X.509 certificates.
+ pkgver = 1.6.1
+ pkgrel = 2
+ url = http://jsignpdf.sourceforge.net/
+ arch = any
+ license = LGPL
+ license = MPL
+ depends = java-runtime>=8
+ provides = jsignpdf
+ source = http://ncu.dl.sourceforge.net/project/jsignpdf/stable/JSignPdf%201.6.1/JSignPdf-1.6.1.zip
+ source = jsignpdf.sh
+ source = jsignpdf.png
+ source = jsignpdf.desktop
+ md5sums = SKIP
+ md5sums = SKIP
+ md5sums = SKIP
+ md5sums = SKIP
+
+pkgname = jsignpdf-bin
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8297d948035
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,60 @@
+# Maintainer : alisoftware <admin@situsali.com>
+_pkgname=jsignpdf
+pkgname=${_pkgname}-bin
+pkgver=1.6.1
+pkgrel=2
+pkgdesc="Digital sign PDF files with X.509 certificates."
+arch=('any')
+url="http://jsignpdf.sourceforge.net/"
+license=('LGPL' 'MPL')
+depends=('java-runtime>=8')
+provides=('jsignpdf')
+source=("http://ncu.dl.sourceforge.net/project/jsignpdf/stable/JSignPdf%201.6.1/JSignPdf-${pkgver}.zip"
+ "jsignpdf.sh"
+ "jsignpdf.png"
+ "jsignpdf.desktop")
+md5sums=('SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP')
+
+
+package() {
+ mkdir -p ${pkgdir}/usr/share/java/jsignpdf/
+
+ cd ${srcdir}/${_pkgname}-${pkgver}
+ cp -R * ${pkgdir}/usr/share/java/jsignpdf/
+
+ find ${pkgdir}/usr/share/java/jsignpdf/* -type f -exec chmod 644 {} \;
+ find ${pkgdir}/usr/share/java/jsignpdf/* -type d -exec chmod 755 {} \;
+ chown -R root.root ${pkgdir}/usr/share/java/jsignpdf/* || return 1
+
+ # The executable script
+ mkdir -p ${pkgdir}/usr/bin/
+ install -Dm755 ${srcdir}/jsignpdf.sh \
+ ${pkgdir}/usr/bin/jsignpdf || return 1
+
+ # Force Java 8
+ sed -i 's@exec java@exec /usr/lib/jvm/java-8-openjdk/jre/bin/java@' \
+ ${pkgdir}/usr/bin/jsignpdf
+
+ # .icon and .desktop files
+ install -Dm644 ${srcdir}/jsignpdf.png \
+ ${pkgdir}/usr/share/icons/hicolor/scalable/apps/jsignpdf.png || return 1
+ install -Dm644 ${srcdir}/jsignpdf.desktop \
+ ${pkgdir}/usr/share/applications/jsignpdf.desktop || return 1
+
+ # Docs and License
+ mkdir -p ${pkgdir}/usr/share/docs/${_pkgname}
+ mkdir -p ${pkgdir}/usr/share/license/${_pkgname}
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/ChangeLog.txt ${pkgdir}/usr/share/docs/${_pkgname}/
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/JSignPdf.pdf ${pkgdir}/usr/share/docs/${_pkgname}/
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/JSignPdf_signed.pdf ${pkgdir}/usr/share/docs/${_pkgname}/
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/ReleaseNotes.txt ${pkgdir}/usr/share/docs/${_pkgname}/
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/lgpl-2.1.txt ${pkgdir}/usr/share/license/${_pkgname}/
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/MPL-1.1.txt ${pkgdir}/usr/share/license/${_pkgname}/
+ cp -R ${pkgdir}/usr/share/java/jsignpdf/docs/ThirdPartyLicenses/ ${pkgdir}/usr/share/license/${_pkgname}/
+
+ # Removing unneeded files
+ rm -rf ${pkgdir}/usr/share/java/jsignpdf/docs/ || return 1
+}
diff --git a/jsignpdf.desktop b/jsignpdf.desktop
new file mode 100644
index 00000000000..f3db848ed25
--- /dev/null
+++ b/jsignpdf.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Terminal=false
+Exec=jsignpdf
+Icon=/usr/share/icons/hicolor/scalable/apps/jsignpdf.png
+Type=Application
+Categories=Application;Office
+StartupNotify=false
+Name=JSignPdf
+Comment=Digital sign PDF files with X.509 certificates
diff --git a/jsignpdf.png b/jsignpdf.png
new file mode 100644
index 00000000000..77ea122ac27
--- /dev/null
+++ b/jsignpdf.png
Binary files differ
diff --git a/jsignpdf.sh b/jsignpdf.sh
new file mode 100644
index 00000000000..b772ae258e1
--- /dev/null
+++ b/jsignpdf.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+PROGDIR=/usr/share/java/jsignpdf/
+IFS='
+'
+exec java -cp $PROGDIR -jar $PROGDIR/JSignPdf.jar $*